# $Revision: 1.17 $, $Date: 2004/08/08 20:47:23 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (failed on my machine)
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	HTML
%define	pnam	Latex
Summary:	HTML::Latex Perl module - creates a LaTeX file from an HTML file
Summary(pl):	Modu Perla HTML::Latex - tworzenie pliku w LaTeXu z pliku HTML
Name:		perl-HTML-Latex
Version:	1.0
Release:	5
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b15c98fe9105340060e55e11c17747cb
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-HTML-Tree
BuildRequires:	perl-XML-Simple >= 1.04
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Converts properly formatted HTML files, filehandles, or strings to
LaTeX. It offers several options in processing, such a the ignoring of
tags, the configuration of the TeX, and downloading of URLs. It is
also much easier to extend than any other html2latex converter.

%description -l pl
Modu ten konwertuje odpowiednio sformatowane pliki HTML, uchwyty
plikw lub acuchy znakw do LaTeXa. Oferuje przy przetwarzaniu kilka
opcji, takich jak ignorowanie znacznikw, konfiguracja TeXa oraz
ciganie odnonikw. Jest duo prostszy do rozbudowywania ni
jakikolwiek inny konwerter html2latex.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README TODO
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-Latex.spec,v $
Revision 1.17  2004/08/08 20:47:23  adamg
- release 5

Revision 1.16  2004/06/05 20:26:53  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.15  2004/05/07 01:12:26  ankry
- rel. 4

Revision 1.14  2004/05/06 18:09:40  ankry
- fixed perl-devel BR

Revision 1.13  2004/04/25 06:25:07  ankry
- cosmetics: unification

Revision 1.12  2004/04/14 17:08:52  ankry
- cosmetics, unifications

Revision 1.11  2004/03/13 23:09:15  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.10  2003/09/09 10:24:37  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:08:50  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:40  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 19:36:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:39:25  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:32:58  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/15 21:59:26  qboosh
- pl description, release++

Revision 1.1  2002/08/06 19:56:47  radek
- new, STBR
